"{ Package: 'stx:libtool' }"

TestCase subclass:#FileBrowserV2Tests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Tools-File'
!

!FileBrowserV2Tests class methodsFor:'documentation'!

documentation
"
    documentation to be added.

    [author:]
        Christian Penk (penk@bierfix)

    [instance variables:]

    [class variables:]

    [see also:]

"
!

history
    "Created: / 31.7.2002 / 11:59:23 / penk"
! !

!FileBrowserV2Tests methodsFor:'initialize / release'!

setUp
    "common setup - invoked before testing"

    super setUp
!

tearDown
    "common cleanup - invoked after testing"

    super tearDown
! !

!FileBrowserV2Tests methodsFor:'tests'!

testFileItem
    "Just a demonstration testCase.
     Double click on the TestCase class or open a TestRunner to see me checking...
     - please add more methods like this..."

    | file item|

    file := Filename homeDirectory construct:'work/stx/doc/online/english/index.html'.
    file exists ifTrue:[
        item := DirectoryContentsBrowser itemClass with:file.
        self should:(item mimeType = 'text/html').
    ].

    "
     self run:#testFileItem
    "
!

testHardLink
    "Just a demonstration testCase.
     Double click on the TestCase class or open a TestRunner to see me checking...
     - please add more methods like this..."

    |browser|

    browser := FileBrowserV2 new.
    
    self should: ( browser isKindOf:AbstractFileBrowser ).
    self should: ( browser respondsTo:#newHardLink ).
    
"/    self should: [ o at:0 ] raise:Error.

    "
     self run:#testHardLink
    "
!

testHistory
    "Just a demonstration testCase.
     Double click on the TestCase class or open a TestRunner to see me checking...
     - please add more methods like this..."

    |history item1 item2 item3|

    history := AbstractFileBrowser filenameHistoryClass new.
    item1 := DirectoryContentsBrowser itemClass with:(Filename homeDirectory construct:'.bashrc').    
    item2 := DirectoryContentsBrowser itemClass with:(Filename homeDirectory construct:'home').    
    item3 := DirectoryContentsBrowser itemClass with:(Filename homeDirectory construct:'.bashrc').    
    
    self should: (item1 = item3).
    history add:item1.
    self assert: ( history size == 1 ).
    history add:item2.
    self assert: ( history size == 2 ).
    history add:item3.
    self assert: ( history size == 2 ).
    
"/    self should: [ o at:0 ] raise:Error.

    "
     self run:#testHistory
    "
! !

!FileBrowserV2Tests class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/FileBrowserV2Tests.st,v 1.1 2002-09-25 07:58:41 penk Exp $'
! !
